#### D.5.18.3 CM_regularity

Procedure from library `sheafcoh.lib` (see sheafcoh_lib).

Usage:
  CM_regularity(M); M module

Assume:
  `M` is graded, and it comes assigned with an admissible degree vector as an attribute

Return:
  integer, the Castelnuovo-Mumford regularity of coker(M)

Note:
  procedure calls mres

Example:

    LIB "sheafcoh.lib";
    ring R=0,(x,y,z,u),dp;
    resolution T1=mres(maxideal(1),0);
    module M=T1[3];
    intvec v=2,2,2,2,2,2;
    attrib(M,"isHomog",v);
    CM_regularity(M);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.